#!/bin/sh -
#
# Startup script for rpki-rp running under Docker.
#
# This assumes that cron is already running, and that this script is running as root.
# Most likely this script is running under cron as a @reboot action.

# Start non-RPKI daemons.  postgresql in particular needs to be up
# before the RPKI code so that we can check the database and configure
# it if necessary.

for i in rsyslog postgresql xinetd apache2
do
    service $i start
    sleep 1
done

# Run rpki-rp's postinst script.  This is a no-op if everything's up
# to date, but will do everything including creating databases if needed.

dpkg --configure --pending

# The rest of rpki-rp runs under cron

exec /usr/sbin/cron -f -L 15
